Subject: bug#27585: segfault when evaluating a file containing only backticks

From: Steve Kemp <[email-masked]>
Date: Sat, 15 Jul 2017 05:03:08 +0000

On Fri Jul 14, 2017 at 16:30:16 +0300, Eli Zaretskii wrote:

> > It's good that we fixed this bug (though I hope "normal" users never
> > notice the bug fix :-).
> 
> Indeed, thanks.

  Thanks again.  I  do note one behaviour change though, which is
 perhaps worth noting.

  Previously this segfaulted:

    $ perl -e 'print "," x ( 1024 * 1024  * 12);' > t.el
    $ /tmp/emacs/bin/emacs -Q --batch --script ./t.el

  Now it does not, as the bug is fixed, but I'd expect the
 emacs process to terminate when the script is loaded. 

  That doesn't happen though:

    $ /tmp/emacs/bin/emacs -Q --batch --script ./t.el
    Re-entering top level after C stack overflow
    [emacs still running]

  Compare that with the normal example:

    $ echo "(defun foo() "Test")" > t.el
    $ /tmp/emacs/bin/emacs -Q --batch --script ./t.el
    $ 

  Perhaps not a huge problem, but it is a change I think?

Steve
-- 
https://steve.fi/